> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs-beta.getzep.com/v4/sdk-reference/thread/lookup/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server. # Lookup thread by developer id POST https://api.getzep.com/api/v4/threads/lookup Content-Type: application/json Reference: https://docs-beta.getzep.com/sdk-reference/thread/lookup ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Type "Api-Key" followed by a space and the project API key. ## Request ### Body (application/json) This endpoint expects a v4.LookupRequest. - `graph_id` (string, optional) — The developer-assigned graph ID to resolve to a UUID. Mutually exclusive with user_id and thread_id. - `thread_id` (string, optional) — The developer-assigned thread ID to resolve to a UUID. Mutually exclusive with user_id and graph_id. - `user_id` (string, optional) — The developer-assigned user ID to resolve to a UUID. Mutually exclusive with thread_id and graph_id. ## Response ### 200 OK - `created_at` (string, optional) — The time the thread was created. - `graph_uuid` (string, optional) — The unique identifier of the owning user's graph. - `thread_id` (string, optional) — The developer-assigned identifier of the thread. - `updated_at` (string, optional) — The time the thread was last updated. - `user_uuid` (string, optional) — The unique identifier of the user the thread belongs to. - `uuid` (string, optional) — The unique identifier of the thread. ## Errors ### 400 Bad Request Error Bad Request - `error` (v4.ErrorBody, optional) ### 401 Unauthorized Error Unauthorized - `error` (v4.ErrorBody, optional) ### 404 Not Found Error Not Found - `error` (v4.ErrorBody, optional) ## Types ### v4.ErrorBody - `code` (string, optional) - `details` (map from string to any, optional) - `message` (string, optional) - `param` (string, optional) - `request_id` (string, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "created_at": "string", "graph_uuid": "string", "thread_id": "string", "updated_at": "string", "user_uuid": "string", "uuid": "string" } ```